const express = require('express');
const HorarioController = require('../controllers/horario');
const md_auth = require('../middleware/authenticated');
const api = express.Router();

api.post('/obtenerHorarios', md_auth.ensureAuth, HorarioController.obtenerHorarios);
api.post('/contarTotalHorarios', md_auth.ensureAuth, HorarioController.contarTotalHorarios);
api.post('/registrarHorario', md_auth.ensureAuth, HorarioController.registrarHorario);
api.put('/actualizarHorario/:idHorario', md_auth.ensureAuth, HorarioController.actualizarHorario);
api.delete('/eliminarHorario/:idHorario', md_auth.ensureAuth, HorarioController.eliminarHorario);
api.post('/asignarHorarioUsuarios', md_auth.ensureAuth, HorarioController.asignarHorarioUsuarios);
api.get('/obtenerUsuariosConHorario/:idHorario', md_auth.ensureAuth, HorarioController.obtenerUsuariosConHorario);
api.get('/obtenerHorarioUsuario/:idUsuario', md_auth.ensureAuth, HorarioController.obtenerHorarioUsuario);
api.get('/obtenerUsuariosConAreas', md_auth.ensureAuth, HorarioController.obtenerUsuariosConAreas);

module.exports = api;
